local TargetList = {}

-- push data into pscope2 
-- this is assumed its refereing to a capture name
TargetList["pscope2_process"] = function(cmdstr, c, p, uri_param)

	trace("arguments Param:\n")
	for i,j in pairs(p) do trace("    %-16s: %s\n", tostring(i), tostring(j) ) end

	local CaptureName = p.StreamName
	assert(CaptureName ~= nil)
	trace("Capture Name [%s]\n", CaptureName)

	-- reset the ingress process 
	local Cmd = "/mnt/store0/tmp2/pscope2/pscope2_ingress.lua "..CaptureName 
	trace("reset [%s]\n", Cmd)
	os.execute(Cmd)

	-- push data into the queue
	--local Cmd = "/opt/fmadio/bin/stream_cat -v --ring /opt/fmadio/queue/lxc_pscope2 "..CaptureName.. " | /mnt/store0/develop/tools/pipe_str/pipe_str --sockfd "..c.fd.. " 2>&1"
	local Cmd = "/opt/fmadio/bin/stream_cat -v --ring /opt/fmadio/queue/lxc_pscope2 "..CaptureName.. " " 
	trace("Process [%s]\n", Cmd)

	return Cmd
end

-- dump the pscope2 database 
TargetList["pscope2_dump"] = function(cmdstr, c, p, uri_param)

	local CaptureName = p.StreamName
	assert(CaptureName ~= nil)
	trace("Capture Name [%s]\n", CaptureName)


	local Cmd = "/mnt/store0/tmp2/pscope2/pscope2_egress.lua "..CaptureName.." | grep hashHalf | /mnt/store0/tmp2/pscope2/pipe_str --sockfd "..c.fd
	trace("cmd [%s]\n", Cmd)

	return Cmd
end

-- reset pscope2 
TargetList["pscope2_reset"] = function(cmdstr, c, p, uri_param)

	local Cmd = "/mnt/store0/tmp2/pscope2/pscope2_reset.lua " 
	trace("cmd [%s]\n", Cmd)

	return Cmd
end

-- offline push 
TargetList["push_offline"] = function(cmdstr, c, p, uri_param)

	trace("arguments Param:\n")
	for i,j in pairs(p) do trace("    %-16s: %s\n", tostring(i), tostring(j) ) end

	local CaptureName = p.StreamName
	assert(CaptureName ~= nil)

	local Cmd = "/opt/fmadio/analytics/push_pcap.lua --offline "..CaptureName
	trace("cmd [%s]\n", Cmd)

	return Cmd
end

return TargetList
